Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.algorithm
Class ConvexHull

    java.lang.Object
      com.vividsolutions.jts.algorithm.ConvexHull

    public class ConvexHull

extends java.lang.Object

Computes the convex hull of a `Geometry`. The convex hull is the smallest convex Geometry that contains all the points in the input Geometry.

Uses the Graham Scan algorithm.

Version:
  1.7

Constructor Summary
`ConvexHull(Coordinate[] pts, GeometryFactory geomFactory)` Create a new convex hull construction for the input `Coordinate` array.
`ConvexHull(Geometry geometry)` Create a new convex hull construction for the input `Geometry`.

Method Summary
`Geometry` | `getConvexHull()` Returns a `Geometry` that represents the convex hull of the input geometry.
`protected Coordinate[]` | `toCoordinateArray(java.util.Stack stack)` An alternative to Stack.toArray, which is not present in earlier versions of Java.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvexHull

    public ConvexHull(Geometry geometry)

  Create a new convex hull construction for the input `Geometry`.

### ConvexHull

    public ConvexHull(Coordinate[] pts,
                      GeometryFactory geomFactory)

  Create a new convex hull construction for the input `Coordinate` array.

Method Detail

### getConvexHull

    public Geometry getConvexHull()

  Returns a `Geometry` that represents the convex hull of the input geometry. The returned geometry contains the minimal number of points needed to represent the convex hull. In particular, no more than two consecutive points will be collinear.

  Returns:
    if the convex hull contains 3 or more points, a `Polygon`; 2 points, a `LineString`; 1 point, a `Point`; 0 points, an empty `GeometryCollection`.

### toCoordinateArray

    protected Coordinate[] toCoordinateArray(java.util.Stack stack)

  An alternative to Stack.toArray, which is not present in earlier versions of Java.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD